package no.ntnu.idatt1002.demo.data.Economics;

import java.util.List;

/**
 * IncomeRegister is a class for
 * storing Income. Subclass of
 * ItemRegister.
 */
public class IncomeRegister extends ItemRegister<Income>{
    /**
     * Class constructor that creates an empty List for storing Income.
     */
    public IncomeRegister(){
        super();
    }

    /**
     * Class constructor that takes in a List of Income as argument.
     *
     * @param income the List of Income you want to register.
     */
    public IncomeRegister(List<Income> income){
        super(income);
    }

    /**
     * Method for getting every Income
     * in a given IncomeCategory.
     * @param category the IncomeCategory you want to get every Income of.
     * @return a List of every Income with category.
     */
    public List<Income> getIncomeByCategory(IncomeCategory category){
        return items.stream().filter(income -> income.getCategory().compareTo(category) == 0).toList();
    }
}
